#include "Gra.ch"
#include "Xbp.ch"
#include "Common.ch"
#include "Inkey.ch"
#include "DBFDBE.CH"
#include "NTXDBE.CH"
#include "FOXDBE.CH"
#include "CDXDBE.CH"

PROCEDURE dbeSys()

  SET COLLATION TO GERMAN
  SET DATE TO GERMAN
  SET EPOCH TO year(date())-80
  SET CHARSET TO OEM

  IF ! DbeLoad( "DBFDBE", .t.)
     Alert( "DBFDBE wurde nicht geladen" , {"OK"} )
  ENDIF

  IF ! DbeLoad( "NTXDBE", .t.)
     Alert( "NTXDBE wurde nicht geladen" , {"OK"} )
  ENDIF

  IF ! DbeBuild( "DBFNTX","DBFDBE","NTXDBE"  )
     Alert( "DBFNTX wurde nicht erstellt" , {"OK"} )
  ENDIF

  IF ! DbeLoad( "CDXDBE", .t.)
     Alert( "CDXDBE wurde nicht geladen" , {"OK"} )
  ENDIF

  IF ! DbeBuild( "DBFCDX","DBFDBE","CDXDBE"  )
     Alert( "DBFCDX wurde nicht erstellt" , {"OK"} )
  ENDIF

*  DbeInfo( COMPONENT_DATA,  FOXDBE_MEMOBLOCKSIZE , 80 )
  DbeInfo( COMPONENT_ORDER, DBE_LOCKMODE         , LOCKING_EXTENDED )

RETURN

procedure main()

   delete file TEST.DBF
   delete file TEST.NTX
   delete file TEST.CDX

   set alternate to test.txt
   set alternate on

   dbcreate( "test.dbf", {{ "Name", "c", 100,0 }} )
   use test exclusive VIA DBFNTX
   dbappend()
   replace name with "Test ohne Umlaute"
   dbappend()
   replace name with "Hubert in Rec 2"
   dbappend()
   replace name with "ENDE in Rec 3"

   index on upper(name) to test

   ? "Hubert",dbseek("Hubert"),recno()
   ? "HUBERT",dbseek("HUBERT"),recno()

   close

   use test exclusive VIA DBFCDX

   index on name to test

   ? "Hubert",dbseek("Hubert"),recno()
   ? "HUBERT",dbseek("HUBERT"),recno()

   close

   inkey( 10 )

return


